> For the complete documentation index, see [llms.txt](https://api.webimpian.support/bayarcash/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.webimpian.support/bayarcash/transaction/all-transactions.md).

# All Transactions

***

<mark style="color:red;">v3</mark>  <mark style="color:blue;">`GET`</mark>  `api.console.bayar.cash/v3/transactions?{query_parameter}`

***

At any given time, you can request a transaction to check on the current status. It will return the transaction object. Available query parameters are as below:

| Name                        | Description                                                                                                        |
| --------------------------- | ------------------------------------------------------------------------------------------------------------------ |
| `order_number`              |                                                                                                                    |
| `status`                    | Please [refer this page](https://api.webimpian.support/bayarcash/transaction/callback) for status code             |
| `payment_channel`           | Please [refer this page](https://api.webimpian.support/bayarcash/payment/payment-channel) for payment channel code |
| `exchange_reference_number` |                                                                                                                    |
| `payer_email`               |                                                                                                                    |

***

Example of sending <mark style="color:blue;">`GET`</mark> request with cURL.

```markup
curl -X GET https://api.console.bayar.cash/v3/transactions?order_number=24354620275 \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer <Personal_Access_Token>'
```

Example of JSON structured response.

```json
{
    "data": [
        "id": "trx_q6LJdl",
        "updated_at": "2023-05-26 13:35:01",
        "datetime": "2023-05-26 13:29:06",
        "order_number": "24354620275",
        "payer_name": "Mohd Ali",
        "payer_email": "mohd.ali@gmail.com",
        "payer_telephone_number": "60111157245",
        "currency": "MYR",
        "amount": 50,
        "exchange_reference_number": "1-685-0718-946-53336",
        "exchange_transaction_id": "23052613290110936",
        "payer_bank_name": "Bank Islam",
        "status": 3,
        "status_description": "Approved",
        "return_url": "https://website.net/api/return_url",
        "metadata": null,
        "payout": {
            "reference_number": "P1685011113148329"
        },
        "payment_gateway": {
            "name": "FPX",
            "code": "FPX"
        },
        "portal": "Portal ABC",
        "merchant": {
            "name": "Web Impian Sdn. Bhd.",
            "email": "webimpian.merchant@gmail.com"
        }
    ],
    "links": {
        "first": "https://api.console.bayar.cash/v3/transactions?page=1",
        "last": "https://api.console.bayar.cash/v3/transactions?page=1",
        "prev": null,
        "next": null
    },
    "meta": {
        "current_page": 1,
        "from": 1,
        "last_page": 1,
        "links": [
            {
                "url": null,
                "label": "&laquo; Previous",
                "active": false
            },
            {
                "url": "https://api.console.bayar.cash/v3/transactions?page=1",
                "label": "1",
                "active": true
            },
            {
                "url": null,
                "label": "Next &raquo;",
                "active": false
            }
        ],
        "path": "https://api.console.bayar.cash/v3/transactions",
        "per_page": 15,
        "to": 6,
        "total": 6
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api.webimpian.support/bayarcash/transaction/all-transactions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
